package it.integry.integrywmsnative.gest.spedizione.dialogs.row_info;

import org.jetbrains.annotations.NotNull;

import it.integry.integrywmsnative.core.expansion.BaseDialogFragment;
import it.integry.integrywmsnative.gest.spedizione.ui.SpedizioneListModel;

public abstract class BaseDialogRowInfoView extends BaseDialogFragment implements IBaseDialogRowInfoView {

    private final SpedizioneListModel mSpedizioneListModel;
    private final Runnable mOnComplete;
    private final Runnable mOnAbort;

    public BaseDialogRowInfoView(@NotNull SpedizioneListModel spedizioneListModel, @NotNull Runnable onComplete, @NotNull Runnable onAbort) {
        this.mSpedizioneListModel = spedizioneListModel;
        this.mOnComplete = onComplete;
        this.mOnAbort = onAbort;
    }

    protected SpedizioneListModel getSpedizioneListModel() {
        return mSpedizioneListModel;
    }

    protected Runnable getOnComplete() {
        return mOnComplete;
    }

    protected Runnable getOnAbort() {
        return mOnAbort;
    }
}
